Name:           perl-Color-ANSI-Util
Version:        0.164
Release:    1%{?dist}
Summary:        Routines for dealing with ANSI colors
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Color-ANSI-Util/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/Color-ANSI-Util-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.10.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Color::RGB::Util) >= 0.600
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Color::RGB::Util) >= 0.600
Requires:       perl(Exporter) >= 5.57
Recommends:     perl(Term::Detect::Software)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Exporter\\)\\s*$
%global __requires_exclude %{?__requires_exclude}|perl\\(Color::RGB::Util\\)\\s*$

%description
This module provides routines for dealing with ANSI colors. The two main
functions are ansifg and ansibg. With those functions, you can specify
colors in RGB and let it output the correct ANSI color escape code
according to the color depth support of the terminal (whether 16-color,
256-color, or 24bit). There are other functions to convert RGB to ANSI
in specific color depths, or reverse functions to convert from ANSI to
RGB codes.

%prep
%setup -q -n Color-ANSI-Util-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.164-1
- initial build
